%define anolis_release 1
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}
%global debug_package   %{nil}

Name:           deepin-manual
Version:        5.8.15
Release:        2.%{anolis_release}%{?dist}
Summary:        Manual is designed to help users learn the operating system and its applications, providing specific instructions and function descriptions
License:        GPLv3+
URL:            https://github.com/linuxdeepin/%{name}
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz


BuildRequires: gcc-c++
BuildRequires: cmake3
BuildRequires: qt5-devel

BuildRequires: pkgconfig(dtkwidget)
BuildRequires: pkgconfig(dtkgui)
BuildRequires: pkgconfig(dtkcore)
BuildRequires: qt5-qtwebengine-devel
BuildRequires: qt5-qtwebchannel-devel
BuildRequires: qt5-linguist
BuildRequires: qt5-qtx11extras-devel
BuildRequires: ca-certificates
BuildRequires: libsass-devel
BuildRequires: gtest-devel
BuildRequires: gmock-devel
BuildRequires: qt5-qttools-devel
BuildRequires: qt5-qtbase-private-devel
BuildRequires: pkgconfig(sqlite3)
BuildRequires: dtkcommon-devel

Requires:      dde-manual-content

# qt5-qtwebengine
Excludearch:   loongarch64

%description
%{Summary}.


%prep
%autosetup
# %autosetup -c -n %{name}-%{version}


%build
# help find (and prefer) qt5 utilities, e.g. qmake, lrelease
export PATH=%{_qt5_bindir}:$PATH
# cmake_minimum_required version is too high
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")
mkdir build && pushd build
%cmake -DCMAKE_BUILD_TYPE=Release -DAPP_VERSION=%{version} -DVERSION=%{version}  ../%{name}-%{version}/
%make_build -C %{_vpath_builddir}
popd

%install
%make_install -C build/%{_vpath_builddir} INSTALL_ROOT="%buildroot"

%files
%{_bindir}/dman
%{_bindir}/dmanHelper
%{_datadir}/applications/deepin-manual.desktop
%{_datadir}/dbus-1/services/com.deepin.Manual.Open.service
%{_datadir}/dbus-1/services/com.deepin.Manual.Search.service
%{_datadir}/deepin-manual/web_dist/toManual/index.css
%{_datadir}/deepin-manual/web_dist/toManual/index.html
%{_datadir}/deepin-manual/web_dist/toManual/index.js
%{_datadir}/deepin-manual/web_dist/toManual/qwebchannel.js
%{_datadir}/deepin-manual/web_dist/toManual/pic.svg
%{_datadir}/deepin-manual/web_dist/toSearchMd/index.html
%{_datadir}/deepin-manual/web_dist/toSearchMd/index.js
%{_datadir}/deepin-manual/web_dist/toSearchMd/qwebchannel.js
%{_datadir}/icons/hicolor/scalable/apps/deepin-manual.svg
%{_datadir}/%{name}/translations/*.qm


%changelog
* Mon Oct 09 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.8.15-2.1
- fix build error on a23

* Fri Mar 10 2023 liweiganga <liweiganga@uniontech.com> - 5.8.15-2
- feat: add BuildRequires dde-manual-content

* Fri Jan 13 2023 liweiganga <liweiganga@uniontech.com> - 5.8.15-1.01
- fix: exclude loongarch64

* Fri Dec 23 2022 liweiganga <liweiganga@uniontech.com> - 5.8.15-1
- update: update to 5.8.15

* Wed Jul 13 2022 liweiganga <liweiganga@uniontech.com> - 5.7.28-1.04
- spec: rm 'ExclusiveArch'

* Wed Jul 06 2022 mahailiang <mahailiang@uniontech.com> - 5.7.28-1.03
- build: build on la64

* Thu Jun 23 2022 liweiganga <liweiganga@uniontech.com> - 5.7.28-1.02
- fix: exclude loongarch64

* Mon Jun 13 2022 uoser <uoser@uniontech> - 5.7.28-1.01
- update: update to 5.7.28-1.01
